Package org.apache.felix.hc.core.impl.scheduling.cron.embedded

## Class AsyncEmbeddedCronJob

- java.lang.Object
- - org.apache.felix.hc.core.impl.scheduling.AsyncJob
  - - org.apache.felix.hc.core.impl.scheduling.cron.embedded.AsyncEmbeddedCronJob

    public final class AsyncEmbeddedCronJob
    extends AsyncJob

Runs health checks/monitors that are configured with a cron expression for asynchronous execution.

### Field Summary

### Fields inherited from class org.apache.felix.hc.core.impl.scheduling.AsyncJob

`runnable`

### Constructor Summary

Constructors
`AsyncEmbeddedCronJob​(Runnable runnable, EmbeddedCronSchedulerProvider embeddedCronSchedulerProvider, String id, String cronExpression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkAndExecute​(ExecutorService tasksExecutor)`
`String` `getId()`
`long` `getLastExecutingTime()`
`long` `getNextExecutingTime()`
`boolean` `isExecuting()`
`boolean` `schedule()`
`String` `toString()`
`boolean` `unschedule()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AsyncEmbeddedCronJob

    public AsyncEmbeddedCronJob​(Runnable runnable,
                                EmbeddedCronSchedulerProvider embeddedCronSchedulerProvider,
                                String id,
                                String cronExpression)

### Method Detail

#### schedule

    public boolean schedule()

Specified by:
  `schedule` in class `AsyncJob`

#### unschedule

    public boolean unschedule()

Specified by:
  `unschedule` in class `AsyncJob`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getId

    public String getId()

#### getLastExecutingTime

    public long getLastExecutingTime()

#### getNextExecutingTime

    public long getNextExecutingTime()

#### isExecuting

    public boolean isExecuting()

#### checkAndExecute

    public void checkAndExecute​(ExecutorService tasksExecutor)